Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.alignment.model
Interface VTAlignmentPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VTAlignmentPackageImpl

    public interface VTAlignmentPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  `VTAlignmentFactory`

Nested Class Summary
`static interface` | `VTAlignmentPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ALIGNMENT_STYLE_PROPERTY` The meta object id for the ' `Style Property`' class.
`static int` | `ALIGNMENT_STYLE_PROPERTY__TYPE` The feature id for the 'Type' attribute.
`static int` | `ALIGNMENT_STYLE_PROPERTY_FEATURE_COUNT` The number of structural features of the 'Style Property' class.
`static int` | `ALIGNMENT_STYLE_PROPERTY_OPERATION_COUNT` The number of operations of the 'Style Property' class.
`static int` | `ALIGNMENT_TYPE` The meta object id for the '`Type`' enum.
`static VTAlignmentPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.

Method Summary
`VTAlignmentFactory` | `getAlignmentFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EAttribute` | `getAlignmentStyleProperty_Type()` Returns the meta object for the attribute ' `Type`'.
`org.eclipse.emf.ecore.EClass` | `getAlignmentStyleProperty()` Returns the meta object for class ' `Style Property` '.
`org.eclipse.emf.ecore.EEnum` | `getAlignmentType()` Returns the meta object for enum '`Type`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VTAlignmentPackage eINSTANCE

  The singleton instance of the package.

### ALIGNMENT_STYLE_PROPERTY

    static final int ALIGNMENT_STYLE_PROPERTY

  The meta object id for the ' `Style Property`' class.

  See Also:
    `VTAlignmentStylePropertyImpl`, `VTAlignmentPackageImpl.getAlignmentStyleProperty()`, Constant Field Values

### ALIGNMENT_STYLE_PROPERTY__TYPE

    static final int ALIGNMENT_STYLE_PROPERTY__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values

### ALIGNMENT_STYLE_PROPERTY_FEATURE_COUNT

    static final int ALIGNMENT_STYLE_PROPERTY_FEATURE_COUNT

  The number of structural features of the 'Style Property' class.

  See Also:
    Constant Field Values

### ALIGNMENT_STYLE_PROPERTY_OPERATION_COUNT

    static final int ALIGNMENT_STYLE_PROPERTY_OPERATION_COUNT

  The number of operations of the 'Style Property' class.

  See Also:
    Constant Field Values

### ALIGNMENT_TYPE

    static final int ALIGNMENT_TYPE

  The meta object id for the '`Type`' enum.

  See Also:
    `AlignmentType`, `VTAlignmentPackageImpl.getAlignmentType()`, Constant Field Values

Method Detail

### getAlignmentStyleProperty

    org.eclipse.emf.ecore.EClass getAlignmentStyleProperty()

  Returns the meta object for class ' `Style Property` '.

  Returns:
    the meta object for class 'Style Property'.
  See Also:
    `VTAlignmentStyleProperty`

### getAlignmentStyleProperty_Type

    org.eclipse.emf.ecore.EAttribute getAlignmentStyleProperty_Type()

  Returns the meta object for the attribute ' `Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `VTAlignmentStyleProperty.getType()`, `getAlignmentStyleProperty()`

### getAlignmentType

    org.eclipse.emf.ecore.EEnum getAlignmentType()

  Returns the meta object for enum '`Type`'.

  Returns:
    the meta object for enum 'Type'.
  See Also:
    `AlignmentType`

### getAlignmentFactory

    VTAlignmentFactory getAlignmentFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.